package com.dayou.service;
import com.dayou.dto.MajorTargetMergeNumberDTO;
import com.dayou.dto.TakeNumberDTO;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.MajorTarget;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 大中型项目评估对象 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-11-03
 */
public interface IMajorTargetService extends IService<MajorTarget> {

        List<MajorTarget> getList(MajorTarget majorTarget);

        MajorTarget detail(Long id);

        Boolean add(TaskRecordDTO<MajorTarget> majorTarget);

        Boolean update(TaskRecordDTO<MajorTarget> majorTarget);

        Boolean xUpdate(MajorTarget majorTarget);
        Boolean delete(TaskRecordDTO<Long> majorTarget);

        String takeNumber(TakeNumberDTO takeNumberDTO);

        String majorTakeReportNo(TakeNumberDTO takeNumberDTO);

        String majorTakeStatementNo(TakeNumberDTO takeNumberDTO);

        String majorTakeLetterNo(TakeNumberDTO takeNumberDTO);

    Boolean mergeNumber(MajorTargetMergeNumberDTO mergeDTO);
}
